<script setup lang="ts">
    import { checkUpgrade } from '@/utils/upgrade'
    // import * as Push from '@/utils/push'

    onLaunch(() => {
        console.log('App Launch')

        // 版本更新检查
        checkUpgrade()

        // 清除消息角标
        // Push.setBadge()

        // 监听在线消息
        // Push.listenMessage()
    })

    onShow(() => {
        console.log('App Show')
    })

    onHide(() => {
        console.log('App Hide')
    })

    onError((err) => {
        Message.toast('App Error: ' + err)
    })

    onUnhandledRejection((err) => {
        Message.toast('App UnhandledRejection: ' + err)
    })
</script>

<style lang="less">
    /* common css */
    /* #ifndef APP-PLUS-NVUE */
    /* uni.css - 通用组件、模板样式库，可以当作一套ui库应用 */
    @import './common/uni.css';
    /* #endif */

    /*每个页面公共css */
    @import './common/fui-app.css';
    @import './components/firstui/fui-theme/fui-theme.css';

    // 全局样式
    @import './common/public.less';

    uni-page-body,
    page {
        height: 100%;
    }
</style>
